
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

import org.codehaus.jackson.annotate.JsonProperty;

/**
 * @author miriam.baglioni
 * @Date 05/09/23
 */
public class Persons implements Serializable {
	@JsonProperty("local_identifier")
	private String local_identifier;
	private List<Identifier> identifiers;
	@JsonProperty("given_name")
	private String given_name;
	@JsonProperty("family_name")
	private String family_name;
	private String agent;
	@JsonProperty("declared_affiliations")
	private List<Affiliation> declared_affiliations;

	private String fullname;

	public String getFullname() {
		return fullname;
	}

	public void setFullname(String fullname) {
		this.fullname = fullname;
	}

	public String getLocal_identifier() {
		return local_identifier;
	}

	public void setLocal_identifier(String local_identifier) {
		this.local_identifier = local_identifier;
	}

	public List<Identifier> getIdentifiers() {
		return identifiers;
	}

	public void setIdentifiers(List<Identifier> identifiers) {
		this.identifiers = identifiers;
	}

	public String getGiven_name() {
		return given_name;
	}

	public void setGiven_name(String given_name) {
		this.given_name = given_name;
	}

	public String getFamily_name() {
		return family_name;
	}

	public void setFamily_name(String family_name) {
		this.family_name = family_name;
	}

	public String getAgent() {
		return agent;
	}

	public void setAgent(String agent) {
		this.agent = agent;
	}

	public List<Affiliation> getDeclared_affiliations() {
		return declared_affiliations;
	}

	public void setDeclared_affiliations(List<Affiliation> declared_affiliations) {
		this.declared_affiliations = declared_affiliations;
	}
}
